Zum Hauptinhalt springen
POST
Create DDS Statement

Autorisierungen

Authorization
string
header
erforderlich

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
supplierId
string<uuid>
erforderlich

The supplier for this DDS. All articles must be linked to this supplier.

type
enum<string>
erforderlich

Activity type: import, export or domestic_production.

Verfügbare Optionen:
import,
export,
domestic_production
articles
object[]
erforderlich

The article lines to declare: 1–500 lines, each article at most once.

Required array length: 1 - 500 elements
name
string

Name of the statement (at most 100 characters).

Maximum string length: 100

Antwort

DDS statement created successfully

id
string<uuid>
erforderlich

ID of the newly created DDS statement — the group head when a group was created.

memberIds
string<uuid>[]
erforderlich

IDs of the member statements when the delivery had to be split into a statement group (in member order); empty for a single statement.